/*----------------------------------------------------------------------+
|                                                                       |
|   Current Revision:                                                   |
|    Workfile:c:\famis\famis.r
|    Revision:
|                                                                       |
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|                                                                       |
|                                                                       |
|                                                                       |
|									|
|									|
|									|
|									|
|									|
|                                                                       |
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|                                                                       |
|   Include Files                                                       |
|                                                                       |
+----------------------------------------------------------------------*/
#include <rscdefs.h>
#include <cmdclass.h>
#include <dlogbox.h>
#include <dlogids.h>
#include <keys.h>
#include "famistxt.h"
#include "famis.h"
#define CT_11                         	    11
#define CT_13                         	    13
#define CT_12                         	    12
#define CT_15                         	    15
#define CT_14                         	    14
#define CT_16                         	    16
/*----------------------------------------------------------------------+
|                                                                       |
|    Command Table Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
Table CT_11 =
{
    {  1, 12     , PLACEMENT, REQ            ,       "Place"},
    {  2, 13     , MANIPULATION, REQ            ,      "Change"},
    {  3, 14     , DIALOGOPEN, HID | REQ      ,        "Open"},
    {  4, 15     , PARAMETERS, HID | REQ      , "MyappSetting"},
};
/*----------------------------------------------------------------------+
|                                                                       |
|    Command Table Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
Table CT_12 =
{
    {  1, 10     , INHERIT, NONE           ,      "MyLine"},
    {  2, 10     , INHERIT, NONE           ,      "MyDate"},
};
/*----------------------------------------------------------------------+
|                                                                       |
|    Command Table Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
Table CT_13 =
{
    {  1, 10     , INHERIT, NONE           , "MySymbology"},
};
/*----------------------------------------------------------------------+
|                                                                       |
|    Command Table Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
Table CT_14 =
{
    {  1, 10     , INHERIT, NONE           , "MyToolFrame"},
    {  2, 10     , INHERIT, NONE           , "MyMainDialog"},
};
/*----------------------------------------------------------------------+
|                                                                       |
|    Command Table Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
Table CT_15 =
{
    {  1, 10     , INHERIT, NONE           ,   "LineStyle"},
    {  2, 10     , INHERIT, NONE           ,        "Date"},
    {  3, 16     , INHERIT, NONE           ,    "UseFence"},
};
/*----------------------------------------------------------------------+
|                                                                       |
|    Command Table Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
Table CT_16 =
{
    {  1, 10     , INHERIT, NONE           ,          "On"},
    {  2, 10     , INHERIT, NONE           ,         "Off"},
    {  3, 10     , INHERIT, DEF            ,      "Toggle"},
};
/*----------------------------------------------------------------------+
|                                                                       |
|   Mu  Color Picker Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_ColorPickerRsc COLORPICKERID_Mu =
    {
    NOCMD, LCMD, NOSYNONYM, NOHELP,
    LHELP, NOHOOK, NOARG,
    0, NOMASK,
    TXT_CPCK_MU,
    "labMau"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Kim tra tha nh Dialog Box                                        |
|                                                                       |
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_Kimtrathanh =
    {
    DIALOGATTR_DEFAULT,
    35.50*XC, 5.67*YC,
    NOHELP, MHELP, NOHOOK, NOPARENTID,
    TXT_DBOX_KIMTRATHANH,
{
{{ 7.17*XC, 0.50*YC, 9.00*XC,       0}, Text, TEXTID_Level, ON, 0, "", ""},
{{24.67*XC, 0.67*YC, 9.00*XC,       0}, Text, TEXTID_di, ON, 0, "", ""},
{{ 8.17*XC, 2.75*YC,12.00*XC,       0}, PushButton, PUSHBTNID_Chy, ON, 0, TXT_PBTN_CHAY, ""},
{{21.67*XC, 2.75*YC,12.00*XC,       0}, PushButton, PUSHBTNID_Rakhi1, ON, 0, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   To nhn tr o Dialog Box                                        |
|                                                                       |
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_Tonhntro =
    {
    DIALOGATTR_SINKABLE | DIALOGATTR_UNCLOSEABLE | DIALOGATTR_NOAUTOSWITCH | DIALOGATTR_CLOSEONNEW,
    52.00*XC, 9.92*YC,
    NOHELP, MHELP, NOHOOK, NOPARENTID,
    TXT_DBOX_TONHNTRO,
{
{{ 1.67*XC, 1.25*YC,17.67*XC, 1.25*YC}, Label, 0, ON, 0, TXT_LABL_KHONGCCHTTRO, ""},
{{11.67*XC, 2.75*YC, 9.00*XC,       0}, Text, TEXTID_Dx, ON, 0, "", ""},
{{11.67*XC, 4.17*YC, 9.00*XC,       0}, Text, TEXTID_Dy, ON, 0, "", ""},
{{12.00*XC, 6.00*YC, 9.00*XC,       0}, Text, TEXTID_Kchthc, ON, 0, "", ""},
{{12.00*XC, 7.50*YC, 5.00*XC,       0}, Text, TEXTID_Level1, ON, 0, "", ""},
{{24.67*XC, 2.00*YC,       0,       0}, ToggleButton, TOGGLEID_Shiu, ON, 0, "", ""},
{{24.67*XC, 3.50*YC,       0,       0}, ToggleButton, TOGGLEID_M, ON, 0, "", ""},
{{24.67*XC, 5.25*YC,       0,       0}, ToggleButton, TOGGLEID_Ta, ON, 0, "", ""},
{{35.50*XC, 2.17*YC,       0,       0}, ToggleButton, TOGGLEID_imkhiu, ON, 0, "", ""},
{{35.67*XC, 3.50*YC,       0,       0}, ToggleButton, TOGGLEID_Shiutrm, ON, 0, "", ""},
{{40.67*XC, 5.00*YC,       0,       0}, ColorPicker, COLORPICKERID_Mu, ON, 0, "", ""},
{{25.67*XC, 7.75*YC,12.00*XC,       0}, PushButton, PUSHBTNID_Chpnhn1, ON, 0, "", ""},
{{38.67*XC, 7.75*YC,12.00*XC,       0}, PushButton, PUSHBTNID_Rakhi3, ON, 0, "", ""},
{{ 0.67*XC, 0.75*YC,21.67*XC, 8.75*YC}, GroupBox, 0, ON, 0, "", ""},
{{23.17*XC, 0.92*YC,27.67*XC, 6.50*YC}, GroupBox, 0, ON, 0, TXT_GBOX_NIDUNG, ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Chn x ( phng ) Dialog Box                                        |
|                                                                       |
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_Chnxphng =
    {
    DIALOGATTR_DEFAULT,
    32.00*XC, 13.17*YC,
    NOHELP, MHELP, NOHOOK, NOPARENTID,
    TXT_DBOX_CHNXPHNG,
{
{{20.67*XC, 0.50*YC,11.50*XC,       0}, Text, TEXTID_Vomcaxphng, ON, 0, "", ""},
{{19.17*XC, 8.00*YC,12.00*XC,       0}, PushButton, PUSHBTNID_Chpnhn, ON, 0, "", ""},
{{ 2.67*XC,11.17*YC,       0, 2.00*YC}, Label, 0, ON, 0, TXT_LABL_MXPHNGLSGM7CHS, ""},
{{ 6.67*XC,16.17*YC,       0,       0}, Label, 0, ON, 0, "", ""},
{{ 0.67*XC,10.75*YC,30.67*XC, 1.92*YC}, GroupBox, 0, ON, 0, TXT_GBOX_GHICH, ""},
{{10.50*XC, 2.67*YC,21.17*XC,       0}, Text, TEXTID_Tnx, ON, 0, "", ""},
{{10.67*XC, 4.50*YC,21.00*XC,       0}, Text, TEXTID_Tnhuyn, ON, 0, "", ""},
{{10.67*XC, 6.25*YC,21.00*XC,       0}, Text, TEXTID_Tntnh, ON, 0, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   FAMIS theo N88+TT17 (T9/2009) Dialog Box                                        |
|                                                                       |
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_FAMIStheoN88TT17T92009 =
    {
    DIALOGATTR_SINKABLE | DIALOGATTR_UNCLOSEABLE,
    70.00*XC, 2.00*YC,
    NOHELP, MHELP, HOOKDIALOGID_FAMIStheoN88TT17T92009, NOPARENTID,
    TXT_DBOX_FAMISTHEON88TT17T92009,
{
{{       0,       0,       0,       0}, MenuBar, MENUBARID_1, ON, 0, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   MyApp Dialog Box                                        |
|                                                                       |
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_MyApp =
    {
    DIALOGATTR_NORIGHTICONS | DIALOGATTR_AUTOOPEN | DIALOGATTR_BOTHVIRTUAL | DIALOGATTR_DOCKABLE,
    1.00*XC, 1.00*YC,
    NOHELP, MHELP, NOHOOK, NOPARENTID,
    TXT_DBOX_MYAPP,
{
{{       0,       0,       0,       0}, IconCmdFrameX, ICONCMDFRAMEID_1, ON, 0, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   t kch thc ch Dialog Box                                        |
|                                                                       |
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_tkchthcch =
    {
    DIALOGATTR_DEFAULT,
    29.17*XC, 6.67*YC,
    NOHELP, MHELP, NOHOOK, NOPARENTID,
    TXT_DBOX_TKCHTHCCH,
{
{{15.00*XC, 4.00*YC,11.67*XC, 2.00*YC}, PushButton, PUSHBTNID_Chn, ON, 0, "", ""},
{{ 9.67*XC, 0.67*YC,17.67*XC,       0}, OptionButton, OPTIONBUTTONID_Kiuch, ON, 0, "", ""},
{{12.67*XC, 2.25*YC,14.67*XC,       0}, OptionButton, OPTIONBUTTONID_Tlbn, ON, 0, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Ni im o chi tit Dialog Box                                        |
|                                                                       |
+----------------------------------------------------------------------*/
DialogBoxRsc DIALOGID_Niimochitit =
    {
    DIALOGATTR_DEFAULT,
    50.67*XC, 5.92*YC,
    NOHELP, MHELP, NOHOOK, NOPARENTID,
    TXT_DBOX_NIIMOCHITIT,
{
{{ 1.17*XC, 2.25*YC,49.00*XC,       0}, Text, TEXTID_Danhschccimni, ON, TEXT_MASK_LABELABOVE, "", ""},
{{16.17*XC, 4.25*YC, 6.17*XC,       0}, Text, TEXTID_Levelcang, ON, 0, "", ""},
{{25.00*XC, 3.75*YC,12.00*XC,       0}, PushButton, PUSHBTNID_Ni, ON, 0, "", ""},
{{38.00*XC, 3.75*YC,12.00*XC,       0}, PushButton, PUSHBTNID_Rakhi2, ON, 0, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Level ca ng : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Levelcang =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 4, "%d", "%d",
    "1", "63", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_LEVELCANG,
    "JoinLevel"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Danh sch cc im ni : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Danhschccimni =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 20, "%s", "%s",
    "", "", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_DANHSCHCCIMNI,
    "JoinStr"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Tn x : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Tnx =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 30, "%s", "%s",
    "", "", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_TNX,
    "TenXa"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Tn huyn : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Tnhuyn =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 30, "%s", "%s",
    "", "", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_TNHUYN,
    "TenHuyen"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Tn tnh : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Tntnh =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 30, "%s", "%s",
    "", "", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_TNTNH,
    "TenTinh"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Th mc : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Thmc =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 100, "%s", "%s",
    "", "", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_THMC,
    "DvhcPath"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Level : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Level =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 20, "%d", "%d",
    "1", "63", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_LEVEL,
    "KtLevel"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    di : Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_di =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 20, "%lf", "%lf",
    "0.01", "5.0", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_DI,
    "KtDist"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Vo m ca x ( phng ) Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Vomcaxphng =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 8, "%ld", "%ld",
    "1010101", "9999999", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_VOMCAXPHNG,
    "vDvhcCode"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   D~x Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Dx =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 8, "%lf", "%lf",
    "-50", "50", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_DX,
    "labDx"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   D~y Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Dy =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 8, "%lf", "%lf",
    "", "", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_DY,
    "labDy"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Kch thc Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Kchthc =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 8, "%lf", "%lf",
    "-50", "50", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_KCHTHC,
    "labSize"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Level Text Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_TextRsc TEXTID_Level1 =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK,
    NOARG, 4, "%d", "%d",
    "1", "63", NOMASK,
    TEXT_NOCONCAT,
    TXT_DTXT_LEVEL2,
    "labLevel"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    Menu Bar Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_MenuBarRsc MENUBARID_1 =
{
    NOHOOK, NOARG,
    {
    { PulldownMenu, 15 },
    { PulldownMenu, 20 },
    { PulldownMenu, 31 },
    { PulldownMenu, 2 },
    }
};
/*----------------------------------------------------------------------+
|                                                                       |
|   Kiu ch : OptionButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_OptionButtonRsc OPTIONBUTTONID_Kiuch =
    {
    NOSYNONYM, NOHELP, LHELP,
    NOHOOK, OPTNBTNATTR_NEWSTYLE,
    TXT_OBTN_KIUCH,
    "fmTxtType",
    {
    {NOTYPE, NOICON, NOCMD, LCMD, 1, NOMASK, ON, TXT_OBTN_SNGLN},
    {NOTYPE, NOICON, NOCMD, LCMD, 2, NOMASK, ON, TXT_OBTN_SNG},
    {NOTYPE, NOICON, NOCMD, LCMD, 3, NOMASK, ON, TXT_OBTN_SNGNH},
    {NOTYPE, NOICON, NOCMD, LCMD, 4, NOMASK, ON, TXT_OBTN_SUIAOH},
    {NOTYPE, NOICON, NOCMD, LCMD, 5, NOMASK, ON, TXT_OBTN_SUINHRNH},
    {NOTYPE, NOICON, NOCMD, LCMD, 6, NOMASK, ON, TXT_OBTN_TNIMCAO},
    {NOTYPE, NOICON, NOCMD, LCMD, 7, NOMASK, ON, TXT_OBTN_TNTHX},
    {NOTYPE, NOICON, NOCMD, LCMD, 8, NOMASK, ON, TXT_OBTN_TNPHNGX},
    {NOTYPE, NOICON, NOCMD, LCMD, 9, NOMASK, ON, TXT_OBTN_TNPH},
    {NOTYPE, NOICON, NOCMD, LCMD, 10, NOMASK, ON, TXT_OBTN_TNXM},
    {NOTYPE, NOICON, NOCMD, LCMD, 11, NOMASK, ON, TXT_OBTN_TNTHN},
    {NOTYPE, NOICON, NOCMD, LCMD, 12, NOMASK, ON, TXT_OBTN_GHICHNG},
    {NOTYPE, NOICON, NOCMD, LCMD, 13, NOMASK, ON, TXT_OBTN_GHICHTHA},
    {NOTYPE, NOICON, NOCMD, LCMD, 14, NOMASK, ON, TXT_OBTN_GHICHNH},
    {NOTYPE, NOICON, NOCMD, LCMD, 15, NOMASK, ON, TXT_OBTN_TNOLN},
    {NOTYPE, NOICON, NOCMD, LCMD, 16, NOMASK, ON, TXT_OBTN_TNONH},
    {NOTYPE, NOICON, NOCMD, LCMD, 17, NOMASK, ON, TXT_OBTN_TNNIO},
    {NOTYPE, NOICON, NOCMD, LCMD, 18, NOMASK, ON, TXT_OBTN_GHICHTKTVHXH},
    {NOTYPE, NOICON, NOCMD, LCMD, 19, NOMASK, ON, TXT_OBTN_RNGBTHA},
    {NOTYPE, NOICON, NOCMD, LCMD, 20, NOMASK, ON, TXT_OBTN_RNGNGB},
    {NOTYPE, NOICON, NOCMD, LCMD, 21, NOMASK, ON, TXT_OBTN_RNGSNGSUI},
    {NOTYPE, NOICON, NOCMD, LCMD, 22, NOMASK, ON, TXT_OBTN_GHICHTT},
    }
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   T l bn  :  OptionButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_OptionButtonRsc OPTIONBUTTONID_Tlbn =
    {
    NOSYNONYM, NOHELP, LHELP,
    NOHOOK, OPTNBTNATTR_NEWSTYLE,
    TXT_OBTN_TLBN,
    "fmMapScale",
    {
    {NOTYPE, NOICON, NOCMD, LCMD, 1, NOMASK, ON, TXT_OBTN_1200},
    {NOTYPE, NOICON, NOCMD, LCMD, 2, NOMASK, ON, TXT_OBTN_1500},
    {NOTYPE, NOICON, NOCMD, LCMD, 3, NOMASK, ON, TXT_OBTN_11000},
    {NOTYPE, NOICON, NOCMD, LCMD, 4, NOMASK, ON, TXT_OBTN_12000},
    {NOTYPE, NOICON, NOCMD, LCMD, 5, NOMASK, ON, TXT_OBTN_15000},
    }
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Ra khi PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Rakhi =
    {
    DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_Rakhi, NOARG, NOCMD, LCMD,
    "",
    TXT_PBTN_RAKHI
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Chn PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Chn =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Chn, LCMD,
    "",
    TXT_PBTN_CHN
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Ly file PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Lyfile =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Lyfile, LCMD,
    "",
    TXT_PBTN_LYFILE
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Chay PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Chy =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Chy, LCMD,
    "",
    TXT_PBTN_CHY
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   Ra khi PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Rakhi1 =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Rakhi, LCMD,
    "",
    TXT_PBTN_RAKHI2
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Ra khi PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Rakhi2 =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Rakhi, LCMD,
    "",
    TXT_PBTN_RAKHI
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Ni PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Ni =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Ni, LCMD,
    "",
    TXT_PBTN_NI
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Chp nhn PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Chpnhn =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Chpnhn, LCMD,
    "",
    TXT_PBTN_CHPNHN
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Chp nhn PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Chpnhn1 =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Chpnhn, LCMD,
    "",
    TXT_PBTN_CHPNHN
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Ra khi PushButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PushButtonRsc PUSHBTNID_Rakhi3 =
    {
    PBUTATTR_ALIGNCENTER, NOHELP, LHELP,
    NOHOOK, NOARG, CMD_Rakhi, LCMD,
    "",
    TXT_PBTN_RAKHI
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Gip =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON| ALIGN_RIGHT, TXT_PDMN_GIP,
{
{TXT_PDMN_ABOUT      , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0xEA63, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_QunlCSDLtro =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_QUNLCSDLTRO,
{
{TXT_PDMN_TOMICSDLIUTRO, NOACCEL, OFF, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_TomiCsdliutro,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_MCSDLIUTRO , NOACCEL, OFF, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_MCsdliutro,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_IMPORT     , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Import,
	    0x5000050, "", ""},
{TXT_PDMN_EXPORT     , NOACCEL, OFF, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Export,
	    0x79090000, MTASKID, ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Likhngch =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_LIKHNGCH,
{
{TXT_PDMN_SAFILESLIUVO, NOACCEL, OFF, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Safilesliuvo,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_BNHSAILI  , NOACCEL, OFF, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Bnhsaili,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_HINTHLI   , NOACCEL, OFF, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Hinthli,
	    0x79090000, MTASKID, ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Nhpsliu =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_NHPSLIU,
{
{TXT_PDMN_IMPORT     , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Import,
	    0x5000050, "", ""},
{TXT_PDMN_CHUYNISANGFILEASCII, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_ChuynisangfileASCII,
	    0x500006C, "", ""},
{TXT_PDMN_EXPORT     , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Export,
	    0x5000066, "", ""},
{TXT_PDMN_SACHATRO   , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Sachatro,
	    0x5000053, "", ""},
{TXT_PDMN_BNGSLIUTRO, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Bngsliutro,
	    0x5000062, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Xltnhton =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_XLTNHTON,
{
{TXT_PDMN_XLCODE     , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Xlcode,
	    0x5000056, "", ""},
{TXT_PDMN_NIIMTHEOSHIU, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x500006B, "", ""},
{TXT_PDMN_GIAOHITHUN , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Giaohithun,
	    0x5000054, "", ""},
{TXT_PDMN_GIAOHINGHCH, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Giaohinghch,
	    0x5000055, "", ""},
{TXT_PDMN_CHIATHA    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000057, "", ""},
{TXT_PDMN_VHNHBNHHNH , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000060, "", ""},
{TXT_PDMN_VHNHCHNHT  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000058, "", ""},
{TXT_PDMN_VNGTTRO  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000067, "", ""},
{TXT_PDMN_TNHLITO  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x500006A, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Csdliutro =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_CSDLIUTRO,
{
{TXT_PDMN_NPPHNXLTRO , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Npphnxltro,
	    0x5000063, "", ""},
{TXT_PDMN_QUNLKHUO   , NOACCEL, OFF, NOMARK, PulldownMenu, 30,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Qunlkhuo,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_HINTH      , NOACCEL, OFF, NOMARK, PulldownMenu, 16,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Hinth,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_NHPSLIU   , NOACCEL, OFF, NOMARK, PulldownMenu, 13,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Nhpsliu,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_XLTNHTON  , NOACCEL, OFF, NOMARK, PulldownMenu, 14,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Xltnhton,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_LIKHNGCH, NOACCEL, OFF, NOMARK, PulldownMenu, 12,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Likhngch,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_RAKHITRO  , NOACCEL, OFF, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Rakhitro,
	    0x5020000, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Nhpsliu1 =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_NHPSLIU,
{
{TXT_PDMN_HINTHTRO   , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Hinthtro,
	    0x5000059, "", ""},
{TXT_PDMN_HINTHBNGCODE, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_HinthBngCode,
	    0x5000064, "", ""},
{TXT_PDMN_TOMTTRO    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000045, "", ""},
{TXT_PDMN_CHUYNSANGDGN, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x500006D, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Csdliubn =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_CSDLIUBN,
{
{TXT_PDMN_QUNLBN     , NOACCEL, ON, NOMARK, PulldownMenu, 21,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Qunlbn,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_NHPSLIU   , NOACCEL, OFF, NOMARK, PulldownMenu, 27,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Nhpsliu,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_TOTOPOLOGY , NOACCEL, OFF, NOMARK, PulldownMenu, 22,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_ToTopology,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_GNTHNGTINACHNHBANU, NOACCEL, OFF, NOMARK, PulldownMenu, 23,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Gnthngtinachnhbanu,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_BNACHNH   , NOACCEL, OFF, NOMARK, PulldownMenu, 24,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Bnachnh,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_XLBN       , NOACCEL, OFF, NOMARK, PulldownMenu, 28,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Xlbn,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_LINKTVICSDLHSC, NOACCEL, OFF, NOMARK, PulldownMenu, 29,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_LinktviCSDLHSC,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_RAKHIFAMIS, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_RakhiFAMIS,
	    0x5010000, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Qunlbn =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_QUNLBN,
{
{TXT_PDMN_KTNIVICSDLIU, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000000, "", ""},
{TXT_PDMN_FAMIS10SANG20, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000102, "", ""},
{TXT_PDMN_MMTBN      , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Mmtbn,
	    0x5000001, "", ""},
{TXT_PDMN_TOMIMTBN  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Tomimtbn,
	    0x5000002, "", ""},
{TXT_PDMN_CHNLPTHNGTIN, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000019, "", ""},
{TXT_PDMN_VCCITNGIM , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000028, "", ""},
{TXT_PDMN_CHNKIUCH  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5431254, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_ToTopology =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_TOTOPOLOGY,
{
{TXT_PDMN_TNGTMSALICLEAN, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_TngtmsaliCLEAN,
	    0x5000004, "", ""},
{TXT_PDMN_SALIFLAG   , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_SaliFLAG,
	    0x5000005, "", ""},
{TXT_PDMN_KIEMTRATHUANHO, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Kiemtrathuanho,
	    0x5000030, "", ""},
{TXT_PDMN_XATOPOLOGY , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_XaTopology,
	    0x5000020, "", ""},
{TXT_PDMN_TOVNG      , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000041, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Gnthngtinachnhbanu =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_GNTHNGTINACHNHBANU,
{
{TXT_PDMN_GNDLIUTNHN, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Gndliutnhn,
	    0x5000007, "", ""},
{TXT_PDMN_SANHNTHA  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Sanhntha,
	    0x5000016, "", ""},
{TXT_PDMN_SABNGNHNTHA, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Sabngnhntha,
	    0x5000021, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Bnachnh =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_BNACHNH,
{
{TXT_PDMN_NHSTHATNG, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_nhsthatng,
	    0x5000025, "", ""},
{TXT_PDMN_TOHSKTHUTTHA, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Tohskthuttha,
	    0x5000017, "", ""},
{TXT_PDMN_TOBNACHNH , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Tobnachnh,
	    0x5000015, "", ""},
{TXT_PDMN_TOKHUNGBN  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Tokhungbn,
	    0x5000022, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_NhpbnImport =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_NHPBNIMPORT,
{
{TXT_PDMN_AUTOCADFILEDXFDWG, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_AutoCadFileDXFDWG,
	    0x5000008, "", ""},
{TXT_PDMN_MAPINFOINTERCHANGEMIF, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_MAPINFOInterchangeMIF,
	    0x5000010, "", ""},
{TXT_PDMN_CPNHTBINNGTVILIS, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_CpnhtbinngtViLIS,
	    0x5000009, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_XutbnExport =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_XUTBNEXPORT,
{
{TXT_PDMN_AUTOCADFILEDXFDWG, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_AutoCadFileDXFDWG,
	    0x5000011, "", ""},
{TXT_PDMN_MAPINFOINTERCHANGEMIF, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_MAPINFOInterchangeMIF,
	    0x5000013, "", ""},
{TXT_PDMN_CPNHTBINNGTVILIS, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_CpnhtbinngtViLIS,
	    0x5000012, "", ""},
{TXT_PDMN_VILISSHAPE , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_VILISShape,
	    0x5000113, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Nhpsliu2 =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_NHPSLIU,
{
{TXT_PDMN_NHPBNIMPORT, NOACCEL, ON, NOMARK, PulldownMenu, 25,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_NhpbnImport,
	    0x79090000, MTASKID, ""},
{TXT_PDMN_XUTBNEXPORT, NOACCEL, ON, NOMARK, PulldownMenu, 26,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_XutbnExport,
	    0x79090000, MTASKID, ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Xlbn =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_XLBN,
{
{TXT_PDMN_NNBN       , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000049, "", ""},
{TXT_PDMN_TOBNCH    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000023, "", ""},
{TXT_PDMN_VNHNTHA   , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000024, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_LinktviCSDLHSC =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_LINKTVICSDLHSC,
{
{TXT_PDMN_CHUYNDLIUSANGCSDLHSC, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000026, "", ""},
{TXT_PDMN_NHNDLIUTCSDLHSC, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000027, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Csdliutro1 =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_CSDLIUTRO,
{
{TXT_PDMN_M1KHUOC   , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_M1khuoc,
	    0x5000052, "", ""},
{TXT_PDMN_TOMIKHUO  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Tomikhuo,
	    0x5000051, "", ""},
{TXT_PDMN_GHILI      , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Ghili,
	    0x5030000, "", ""},
{TXT_PDMN_GHILIVITNKHC, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_Ghilivitnkhc,
	    0x5040000, "", ""},
{TXT_PDMN_NGFILE    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, MSEARCHID_ngfile,
	    0x5050000, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_Tinch =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_TINCH,
{
{TXT_PDMN_CHIATHA    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000057, "", ""},
{TXT_PDMN_NNBN       , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000049, "", ""},
{TXT_PDMN_UNLOCKARC  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000040, "", ""},
{TXT_PDMN_CELLUTILITIES, NOACCEL, ON, NOMARK, PulldownMenu, 32,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000046, "", ""},
{TXT_PDMN_VBNKIMTRA  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000068, "", ""},
{TXT_PDMN_XANHN     , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000042, "", ""},
{TXT_PDMN_GNNHNTHATBC, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5431250, "", ""},
{TXT_PDMN_CHNDVHC   , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5431251, "", ""},
{TXT_PDMN_VNG      , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5431253, "", ""},
{TXT_PDMN_CHNKIUCH  , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5431254, "", ""},
{TXT_PDMN_DNGAGIC    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x383DF, "", ""},
{TXT_PDMN_TNHDTCHQUIHOCH, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x3AAEF, "", ""},
{TXT_PDMN_CHUYNLOITTHEON181TT09, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x3AAF0, "", ""},
{TXT_PDMN_CHUYNMDSD2003CTHEOTT09, NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x3AAF1, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    PulldownMenu Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_PulldownMenuRsc PULLDOWNMENUID_CellUtilities =
    {
    NOHELP, OHELPTASKIDCMD,
    NOHOOK,
    ON, TXT_PDMN_CELLUTILITIES,
{
{TXT_PDMN_CELL125    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000047, "", ""},
{TXT_PDMN_CELL075    , NOACCEL, ON, NOMARK, 0, 0,
	    NOHELP, OHELPTASKIDCMD,
    	    NOHOOK, NOHOOK,
	    0x5000048, "", ""},
}
    };
/*----------------------------------------------------------------------+
|                                                                       |
|    Message List Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
MessageList MESSAGELISTID_1 =
{
    {
    { 1, "Enter first point" },
    { 2, "Enter next point" },
    { 3, "Enter data point" },
    { 4, "Accept/Reject Fence Contents" },
    { 5, "Identify element" },
    }
};
/*----------------------------------------------------------------------+
|                                                                       |
|    Message List Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
MessageList MESSAGELISTID_2 =
{
    {
    { 1, "Unable to load command table" },
    { 2, "Unable to open main dialog" },
    { 3, "MM:DD:YY" },
    { 4, "Unable to open resource file" },
    { 5, "Are you sure?" },
    { 6, "Unable to open main palette" },
    { 7, "No fence defined" },
    }
};
/*----------------------------------------------------------------------+
|                                                                       |
|   ~S hiu ToggleButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_ToggleButtonRsc TOGGLEID_Shiu =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK, NOARG,
    NOMASK, NOINVERT,
    TXT_TBTN_SHIU,
    "labSh"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~M ToggleButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_ToggleButtonRsc TOGGLEID_M =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK, NOARG,
    NOMASK, NOINVERT,
    TXT_TBTN_M,
    "labMa"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~Ta  ToggleButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_ToggleButtonRsc TOGGLEID_Ta =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK, NOARG,
    NOMASK, NOINVERT,
    TXT_TBTN_TA,
    "labTdo"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   ~im khi u ToggleButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_ToggleButtonRsc TOGGLEID_imkhiu =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK, NOARG,
    NOMASK, NOINVERT,
    TXT_TBTN_IMKHIU,
    "labDkd"
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   S ~hiu trm ToggleButton Item Resource 			    	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_ToggleButtonRsc TOGGLEID_Shiutrm =
    {
    NOCMD, LCMD, NOSYNONYM,
    NOHELP, LHELP, NOHOOK, NOARG,
    NOMASK, NOINVERT,
    TXT_TBTN_SHIUTRM,
    "labShtram"
    };
